%global momorel 2

Name: evolution-sharp
Version: 0.17.4
Release: %{momorel}m%{?dist}
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.ximian.com/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.17/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: evolution-sharp-0.17.4-gacutil.patch

Summary: evolution library for .NET
Group: Development/Libraries

BuildRequires: pkgconfig
BuildRequires: mono-core
BuildRequires: gtk-sharp2
BuildRequires: evolution-data-server-devel >= 2.22.0
BuildRequires: mono-devel >= 1.2.5
BuildRequires: gtk-sharp2-devel >= 2.12.0

%description
Evolution# is a .NET language binding for various Ximian Evolution (tm)
libraries.  Evolution# is free software, licensed under the GNU GPL.

%package devel
Summary: Development files for building against evolution
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
evolution-sharp-devel

%prep
%setup -q
%patch0 -p1 -b .gacutil

%build
autoreconf -vfi
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libevolutionglue.so
%{_prefix}/lib/mono/evolution-sharp
%{_prefix}/lib/mono/gac/evolution-sharp
%{_datadir}/gapi-2.0/evolution-api.xml 

%files devel
%defattr(-, root, root)
%{_libdir}/libevolutionglue.a
%{_libdir}/pkgconfig/evolution-sharp.pc

%changelog
* Mon Jul 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.17.4-2m)
- enable gacutil

* Sat Jul 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.17.4-1m)
- update to 0.17.4
- add patch0 (build fix only)
- does not work ;-P

* Thu May  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.16.1.1-1m)
- update to 0.16.1.1
- coment out patch0, patch1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.16.0-3m)
- rebuild against gcc43

* Wed Mar 19 2008 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.16.0-2m)
- add pkgconfig patch and libdir patch

* Wed Mar 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.16.0-1m)
- update to 0.16.0

* Thu Mar  6 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.0.1-3m)
- rebuild against gtk-sharp2-2.12.0

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.14.0.1-2m)
- %%NoSource -> NoSource

* Sun Sep 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.0.1-1m)
- update to 0.14.0.1

* Tue Aug 28 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.13.3-1m)
- update to 0.13.3

* Mon May 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.4-2m)
- delete %%post %%postun scripts

* Sun May 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.4-1m)
- initial build
